import request from '@/utils/request'

// 查询站内信--分页
export function listNotify(query) {
  return request({
    url: '/system/notify-message/my-page',
    method: 'get',
    params: query
  })
}

// 新增站内信信息 /dev-api/iscs/type/insertIsMaterialsType
export function addMaterialsType(data) {
  return request({
    url: '/iscs/type/insertIsMaterialsType',
    method: 'post',
    data: data
  })
}

// 修改站内信信息 /dev-api/iscs/type/updateIsMaterialsType
export function updateMaterialsType(data) {
  return request({
    url: '/iscs/type/updateIsMaterialsType',
    method: 'post',
    data: data
  })
}

// 删除站内信信息 /dev-api/iscs/type/deleteIsMaterialsTypeByMaterialsTypeIds
export function deleteMaterialsType(data) {
  return request({
    url: '/iscs/type/deleteIsMaterialsTypeByMaterialsTypeIds?materialsTypeIds=' + data,
    method: 'post',
  })
}

// 获取物资详细信息/dev-api/iscs/type/selectIsMaterialsTypeById
export function selectMaterialsTypeById(query) {
  return request({
    url: '/iscs/type/selectIsMaterialsTypeById?materialsTypeId=' + query,
    method: 'get',
  })
}
